<!--
 * @Author: liuJie
 * @Date: 2026-01-27 16:29:28
 * @LastEditors: liuJie
 * @LastEditTime: 2026-02-06 09:35:00
 * @Describe: file describe
-->
<template>
  <div class="safety-platform-container">
    <header class="safety-platform-container__header">
      <BreadcrumbBack />
      <span class="breadcrumb-title">{{ headerTitle }}</span>
    </header>
    <SafetyOrganizationSystemManagementDetail />
  </div>
</template>

<script setup lang="ts">
  import { computed } from 'vue';
  import { useRoute, useRouter } from 'vue-router';
  import BreadcrumbBack from '@/components/BreadcrumbBack.vue';
  import SafetyOrganizationSystemManagementDetail from './components/safetyOrganizationSystemManagementDetail.vue';

  const route = useRoute();
  const router = useRouter();
  const operate = route.query.operate as string;

  const headerTitle = computed(() => {
    switch (operate) {
      case 'employee-create':
        return '新增员工';
      case 'employee-edit':
        return '编辑员工';
      case 'employee-view':
        return '查看员工';
      default:
        return '未知操作';
    }
  });
</script>

<style scoped lang="scss">
  @use '@/styles/page-details-layout.scss' as *;
  @use '@/styles/page-main-layout.scss' as *;

  .safety-platform-container__header {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 8px !important;
  }
</style>
